package cz.moneta.test.dsl.util.task.auto.smartauto.customer;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.CustomerPage;
import cz.moneta.test.dsl.auto.smartauto.shared.Education;
import cz.moneta.test.dsl.auto.smartauto.shared.HousingKind;
import cz.moneta.test.dsl.auto.smartauto.shared.MaritalStatus;

import java.util.function.Function;

public class PersonalDataTasks {

    private final Harness harness;

    public PersonalDataTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<CustomerPage, CustomerPage> fillPersonalData(MaritalStatus maritalStatus, int dependentNumber, HousingKind housingKind, Education education) {
        return start -> start.clickMaritalStatus()
                .chooseMaritalStatus(maritalStatus)
                .typeDependentNumber(dependentNumber)
                .clickHousingKind()
                .chooseHousingKind(housingKind)
                .clickEducation()
                .chooseEducation(education);
    }
}
